Harmonisé les noms des différentes fonctions get_pkg_ver...
[hvlinux.git] / stage4 / configure-fonts
index be9b458..7673a20 100755 (executable)
@@ -1,15 +1,23 @@
-#!/bin/sh
-set -o errexit
+#!/bin/bash
 
-# First argument of this script is the package name.
-
-# Reading system configuration informations, functions and package versions.
-source ../sysinfos
-source ../functions
-source ../packages-list
+source ../functions/main
 
+# When all of the fonts have been installed, the system must be configured so
+# that Fontconfig can find the TrueType fonts since they are outside of the
+# default search path of /usr/share/fonts.
 install -v -d -m755 /usr/share/fonts
-ln -svfT ${XORG_PREFIX}/lib/X11/fonts/OTF /usr/share/fonts/X11-OTF
-ln -svfT ${XORG_PREFIX}/lib/X11/fonts/TTF /usr/share/fonts/X11-TTF
+ln -svfT /usr/lib/X11/fonts/OTF /usr/share/fonts/X11-OTF
+ln -svfT /usr/lib/X11/fonts/TTF /usr/share/fonts/X11-TTF
+
+X11_FONTS_DIR="/usr/share/fonts/X11"
+
+if ! grep -q "${X11_FONTS_DIR}" /etc/fonts/local.conf; then
+    # Adding X fonts directory to local configuration file
+    sed -i -e "s!\(</fontconfig>\)!    <dir>${X11_FONTS_DIR}</dir>\n\1!" \
+        /etc/fonts/local.conf
+fi
+
+# Updating cache database.
+fc-cache -f
 
 exit $?